Name:           lxsession-lite
Version:        0.3.6
Release:        2%{?dist}
Summary:        Lightweight X11 session manager
Summary(de):    Leichtgewichtiger X11 Sitzungsverwalter

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel > 2.6 libICE-devel libSM-devel dbus-glib-devel
BuildRequires:  docbook-utils intltool gettext-devel
Requires:       dbus
Obsoletes:      lxsession <= 0.3.2-2
Provides:       lxsession = %{version}-%{release}

%description
LXSession Lite is a standard-compliant X11 session manager with shutdown/
reboot/suspend support via HAL and gdm. It is a stripped down version of 
LXSession removing X11 session management.

LXSession is derived from XSM and is developed as default X11 session manager 
of LXDE, the Lightweight X11 Desktop Environment. Though being part of LXDE, 
it's totally desktop-independent and only has few dependencies.

%description -l de
LXSession Lite ist ein Standard konformer X11 Sitzungsverwalter mit 
Unterstützung für Herunterfahren, Neustart und Schlafmodus mittels HAL und 
GDM. Er ist eine abgespeckte Version von LXSession ohne die Möglichkeit, 
Sitzungen zu speichern.

LXSession Lite ist von XSM abgeleitet und wird als Sitzungsverwalter von LXDE,
der leichtgewichtigen X11 Desktop Umgebung, entwickelt. Auch wenn er Teil von 
von LXDE ist, ist er komplett Desktop unabhängig und hat nur wenige 
Abhängigkeiten.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang lxsession
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/xdg/lxsession

%clean
rm -rf $RPM_BUILD_ROOT


%files -f lxsession.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/lxsession
%{_bindir}/lxsession-logout
%{_datadir}/lxsession/
%{_mandir}/man1/lxsession*.1*
# we need to own
%dir %{_sysconfdir}/xdg/lxsession

%changelog
* Thu Oct 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.6-2
- Preserve timestamps during install

* Thu Jun 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6
- Remove docbook hack

* Sun Apr 20 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-1
- Switch to LXSession lite and drop xorg-x11-xsm requirement again.

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-2
- Require xorg-x11-xsm

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2

* Mon Mar 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Initial Fedora RPM
